// CardGameEx4.java

import ch.aplu.jcardgame.*;
import ch.aplu.jgamegrid.*;

public class CardGameEx4 extends CardGame
{
  public enum Suit
  {
    KREUZ, KARO, HERZ, PIK
  }

  public enum Rank
  {
    ASS, KOENIG, DAME, BUBE, ZEHN, NEUN, ACHT, SIEBEN, SECHS
  }
  private Deck deck = new Deck(Suit.values(), Rank.values(), "cover");

  public CardGameEx4()
  {
    super(600, 600, 30);
    Card card1 = new Card(deck, Suit.HERZ, Rank.ASS);
    Card card2 = new Card(deck, Suit.HERZ, Rank.KOENIG);
    Card card3 = new Card(deck, Suit.HERZ, Rank.DAME);
    Card card4 = new Card(deck, Suit.HERZ, Rank.BUBE);
    card1.associateActor(1, 0);
    addActor(card1.getCardActor(), new Location(400, 400));
    card1.slideToTarget(new Location(240, 300), 5, true);
    card2.associateActor(1, 0);
    addActor(card2.getCardActor(), new Location(100, 100));
    card2.slideToTarget(new Location(280, 300), 5, true);
    card3.associateActor(1, 0);
    addActor(card3.getCardActor(), new Location(400, 100));
    card3.slideToTarget(new Location(320, 300), 5, true);
    card4.associateActor(1, 0);
    addActor(card4.getCardActor(), new Location(100, 400));
    card4.slideToTarget(new Location(360, 300), 5, true);
  }

  public static void main(String[] args)
  {
    new CardGameEx4();
  }
}
